> For the complete documentation index, see [llms.txt](https://waap.docs.link11.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://waap.docs.link11.com/reference-information/api/namespace-reference/dynamic-rules.md).

# Dynamic Rules

## Get Dynamic Rules

> Get all Dynamic Rules in a configuration

```json
{"openapi":"3.0.2","info":{"title":"Link11 WAAP","version":"v4.3"},"paths":{"/api/v4.3/conf/{config}/dynamic-rules":{"get":{"operationId":"get_api_v3_reblaze_configs__config__d_dynamic_rules__get_130152134249177325","summary":"Get Dynamic Rules","description":"Get all Dynamic Rules in a configuration","parameters":[{"in":"path","name":"config","required":true,"schema":{"title":"Config","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"title":"Response Get Api Dynamic Rules","properties":{"total":{"type":"integer"},"items":{"type":"array","items":{"$ref":"#/components/schemas/DynamicRule"}}}}}},"description":"Dynamic Rules retrieved successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InputError"}}},"description":"Input Error"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"tags":["Dynamic Rules"]}}},"components":{"schemas":{"DynamicRule":{"properties":{"action":{"title":"Action","type":"string"},"active":{"title":"Active","type":"boolean"},"description":{"default":"","title":"Description","type":"string"},"id":{"description":"Unique id","pattern":"^[A-Za-z0-9\\-\\_]*$","title":"Id","type":"string"},"include":{"title":"Include","type":"object","properties":{"relation":{"$ref":"#/components/schemas/TagsRelationEnum"},"tags":{"title":"Tags","type":"array","items":{"type":"string"}}}},"exclude":{"title":"Exclude","type":"object","properties":{"relation":{"$ref":"#/components/schemas/TagsRelationEnum"},"tags":{"title":"Tags","type":"array","items":{"type":"string"}}}},"name":{"title":"Name","type":"string"},"offload_ip_filtering":{"title":"OffloadIPFiltering","type":"boolean"},"tags":{"items":{"type":"string"},"title":"Tags","type":"array"},"target":{"title":"Target","type":"string"},"threshold":{"title":"Threshold","type":"integer"},"timeframe":{"title":"Timeframe","type":"integer"},"ttl":{"title":"Ttl","type":"integer"}},"required":["id","name","threshold","timeframe","ttl","active","offload_ip_filtering","target","action"],"title":"DynamicRule","type":"object"},"TagsRelationEnum":{"title":"TagsRelationEnum","description":"Relation between tags","type":"string","enum":["OR","AND"]},"InputError":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"InputError","type":"object"},"Error":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"Error","type":"object"}}}}
```

## Get specific Dynamic Rule

> Get a Dynamic Rule from the specified configuration

```json
{"openapi":"3.0.2","info":{"title":"Link11 WAAP","version":"v4.3"},"paths":{"/api/v4.3/conf/{config}/dynamic-rules/{entry_id}":{"get":{"operationId":"get_one_api_v3_reblaze_configs__config__d_dynamic_rules_e__id___get_1148973984917593028","summary":"Get specific Dynamic Rule","description":"Get a Dynamic Rule from the specified configuration","parameters":[{"in":"path","name":"config","required":true,"schema":{"title":"Config","type":"string"}},{"in":"path","name":"entry_id","required":true,"schema":{"title":"Entry ID","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicRule"}}},"description":"Dynamic Rule retrieved successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InputError"}}},"description":"Input Error"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"tags":["Dynamic Rules"]}}},"components":{"schemas":{"DynamicRule":{"properties":{"action":{"title":"Action","type":"string"},"active":{"title":"Active","type":"boolean"},"description":{"default":"","title":"Description","type":"string"},"id":{"description":"Unique id","pattern":"^[A-Za-z0-9\\-\\_]*$","title":"Id","type":"string"},"include":{"title":"Include","type":"object","properties":{"relation":{"$ref":"#/components/schemas/TagsRelationEnum"},"tags":{"title":"Tags","type":"array","items":{"type":"string"}}}},"exclude":{"title":"Exclude","type":"object","properties":{"relation":{"$ref":"#/components/schemas/TagsRelationEnum"},"tags":{"title":"Tags","type":"array","items":{"type":"string"}}}},"name":{"title":"Name","type":"string"},"offload_ip_filtering":{"title":"OffloadIPFiltering","type":"boolean"},"tags":{"items":{"type":"string"},"title":"Tags","type":"array"},"target":{"title":"Target","type":"string"},"threshold":{"title":"Threshold","type":"integer"},"timeframe":{"title":"Timeframe","type":"integer"},"ttl":{"title":"Ttl","type":"integer"}},"required":["id","name","threshold","timeframe","ttl","active","offload_ip_filtering","target","action"],"title":"DynamicRule","type":"object"},"TagsRelationEnum":{"title":"TagsRelationEnum","description":"Relation between tags","type":"string","enum":["OR","AND"]},"InputError":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"InputError","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"Error":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"Error","type":"object"}}}}
```

## Modify Dynamic Rule

> Update an individual Dynamic Rule within a configuration

```json
{"openapi":"3.0.2","info":{"title":"Link11 WAAP","version":"v4.3"},"paths":{"/api/v4.3/conf/{config}/dynamic-rules/{entry_id}":{"put":{"operationId":"update_api_v3_reblaze_configs__config__d_dynamic_rules_e__id___put_1148973984917593028","summary":"Modify Dynamic Rule","description":"Update an individual Dynamic Rule within a configuration","parameters":[{"in":"path","name":"config","required":true,"schema":{"title":"Config","type":"string"}},{"in":"path","name":"entry_id","required":true,"schema":{"title":"Id","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicRule"}}},"required":true},"responses":{"200":{"description":"Dynamic Rule updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseUpdate"}}}},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InputError"}}},"description":"Input Error"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"tags":["Dynamic Rules"]}}},"components":{"schemas":{"DynamicRule":{"properties":{"action":{"title":"Action","type":"string"},"active":{"title":"Active","type":"boolean"},"description":{"default":"","title":"Description","type":"string"},"id":{"description":"Unique id","pattern":"^[A-Za-z0-9\\-\\_]*$","title":"Id","type":"string"},"include":{"title":"Include","type":"object","properties":{"relation":{"$ref":"#/components/schemas/TagsRelationEnum"},"tags":{"title":"Tags","type":"array","items":{"type":"string"}}}},"exclude":{"title":"Exclude","type":"object","properties":{"relation":{"$ref":"#/components/schemas/TagsRelationEnum"},"tags":{"title":"Tags","type":"array","items":{"type":"string"}}}},"name":{"title":"Name","type":"string"},"offload_ip_filtering":{"title":"OffloadIPFiltering","type":"boolean"},"tags":{"items":{"type":"string"},"title":"Tags","type":"array"},"target":{"title":"Target","type":"string"},"threshold":{"title":"Threshold","type":"integer"},"timeframe":{"title":"Timeframe","type":"integer"},"ttl":{"title":"Ttl","type":"integer"}},"required":["id","name","threshold","timeframe","ttl","active","offload_ip_filtering","target","action"],"title":"DynamicRule","type":"object"},"TagsRelationEnum":{"title":"TagsRelationEnum","description":"Relation between tags","type":"string","enum":["OR","AND"]},"ResponseUpdate":{"title":"ResponseUpdate","type":"object","properties":{"message":{"title":"Message","description":"Information about successful update operation","type":"string"}},"required":["message"]},"InputError":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"InputError","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"Error":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"Error","type":"object"}}}}
```

## Create Dynamic Rule

> Create an individual Dynamic Rule within a configuration

```json
{"openapi":"3.0.2","info":{"title":"Link11 WAAP","version":"v4.3"},"paths":{"/api/v4.3/conf/{config}/dynamic-rules/{entry_id}":{"post":{"operationId":"add_api_v3_reblaze_configs__config__d_dynamic_rules_e__id___post_1148973984917593028","summary":"Create Dynamic Rule","description":"Create an individual Dynamic Rule within a configuration","parameters":[{"in":"path","name":"config","required":true,"schema":{"title":"Config","type":"string"}},{"in":"path","name":"entry_id","required":true,"schema":{"pattern":"^[A-Za-z0-9\\-\\_]*$","title":"Id","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicRule"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseCreate"}}},"description":"Dynamic Rule created successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InputError"}}},"description":"Input Error"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"tags":["Dynamic Rules"]}}},"components":{"schemas":{"DynamicRule":{"properties":{"action":{"title":"Action","type":"string"},"active":{"title":"Active","type":"boolean"},"description":{"default":"","title":"Description","type":"string"},"id":{"description":"Unique id","pattern":"^[A-Za-z0-9\\-\\_]*$","title":"Id","type":"string"},"include":{"title":"Include","type":"object","properties":{"relation":{"$ref":"#/components/schemas/TagsRelationEnum"},"tags":{"title":"Tags","type":"array","items":{"type":"string"}}}},"exclude":{"title":"Exclude","type":"object","properties":{"relation":{"$ref":"#/components/schemas/TagsRelationEnum"},"tags":{"title":"Tags","type":"array","items":{"type":"string"}}}},"name":{"title":"Name","type":"string"},"offload_ip_filtering":{"title":"OffloadIPFiltering","type":"boolean"},"tags":{"items":{"type":"string"},"title":"Tags","type":"array"},"target":{"title":"Target","type":"string"},"threshold":{"title":"Threshold","type":"integer"},"timeframe":{"title":"Timeframe","type":"integer"},"ttl":{"title":"Ttl","type":"integer"}},"required":["id","name","threshold","timeframe","ttl","active","offload_ip_filtering","target","action"],"title":"DynamicRule","type":"object"},"TagsRelationEnum":{"title":"TagsRelationEnum","description":"Relation between tags","type":"string","enum":["OR","AND"]},"ResponseCreate":{"title":"ResponseCreate","type":"object","properties":{"message":{"title":"Message","description":"Information about successful create operation","type":"string"}},"required":["message"]},"InputError":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"InputError","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"Error":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"Error","type":"object"}}}}
```

## Delete Dynamic Rule

> Delete an individual Dynamic Rule from the specified configuration

```json
{"openapi":"3.0.2","info":{"title":"Link11 WAAP","version":"v4.3"},"paths":{"/api/v4.3/conf/{config}/dynamic-rules/{entry_id}":{"delete":{"operationId":"delete_api_v3_reblaze_configs__config__d_dynamic_rules_e__id___delete_1148973984917593028","summary":"Delete Dynamic Rule","description":"Delete an individual Dynamic Rule from the specified configuration","parameters":[{"in":"path","name":"config","required":true,"schema":{"title":"Config","type":"string"}},{"in":"path","name":"entry_id","required":true,"schema":{"title":"Id","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDelete"}}},"description":"Dynamic Rule deleted successfully"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InputError"}}},"description":"Input Error"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"tags":["Dynamic Rules"]}}},"components":{"schemas":{"ResponseDelete":{"title":"ResponseDelete","type":"object","properties":{"message":{"title":"Message","description":"Information about successful delete operation","type":"string"}},"required":["message"]},"InputError":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"InputError","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"Error":{"properties":{"code":{"title":"Code","type":"integer"},"message":{"title":"Message","type":"string"}},"required":["code","message"],"title":"Error","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://waap.docs.link11.com/reference-information/api/namespace-reference/dynamic-rules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
